## General

* [`PCloud.getdigest`](@ref)
* [`PCloud.userinfo`](@ref)
* [`PCloud.supportedlanguages`](@ref)
* [`PCloud.setlanguage`](@ref)
* [`PCloud.feedback`](@ref)
* [`PCloud.currentserver`](@ref)
* [`PCloud.pcloud_diff`](@ref)
* [`PCloud.getfilehistory`](@ref)
* [`PCloud.getip`](@ref)
* [`PCloud.getapiserver`](@ref)

**API documentation source**: [https://docs.pcloud.com/methods/general/getdigest.html](https://docs.pcloud.com/methods/general/getdigest.html)
```@docs
getdigest
```

**API documentation source**: [https://docs.pcloud.com/methods/general/userinfo.html](https://docs.pcloud.com/methods/general/userinfo.html)
```@docs
userinfo
```

**API documentation source**: [https://docs.pcloud.com/methods/general/supportedlanguages.html](https://docs.pcloud.com/methods/general/supportedlanguages.html)
```@docs
supportedlanguages
```

**API documentation source**: [https://docs.pcloud.com/methods/general/setlanguage.html](https://docs.pcloud.com/methods/general/setlanguage.html)
```@docs
setlanguage
```

**API documentation source**: [https://docs.pcloud.com/methods/general/feedback.html](https://docs.pcloud.com/methods/general/feedback.html)
```@docs
feedback
```

**API documentation source**: [https://docs.pcloud.com/methods/general/currentserver.html](https://docs.pcloud.com/methods/general/currentserver.html)
```@docs
currentserver
```

**API documentation source**: [https://docs.pcloud.com/methods/general/diff.html](https://docs.pcloud.com/methods/general/diff.html)
```@docs
pcloud_diff
```

**API documentation source**: [https://docs.pcloud.com/methods/general/getfilehistory.html](https://docs.pcloud.com/methods/general/getfilehistory.html)
```@docs
getfilehistory
```

**API documentation source**: [https://docs.pcloud.com/methods/general/getip.html](https://docs.pcloud.com/methods/general/getip.html)
```@docs
getip
```

**API documentation source**: [https://docs.pcloud.com/methods/general/getapiserver.html](https://docs.pcloud.com/methods/general/getapiserver.html)
```@docs
getapiserver
```
## Folder

* [`PCloud.createfolder`](@ref)
* [`PCloud.createfolderifnotexists`](@ref)
* [`PCloud.listfolder`](@ref)
* [`PCloud.renamefolder`](@ref)
* [`PCloud.deletefolder`](@ref)
* [`PCloud.deletefolderrecursive`](@ref)
* [`PCloud.copyfolder`](@ref)

**API documentation source**: [https://docs.pcloud.com/methods/folder/createfolder.html](https://docs.pcloud.com/methods/folder/createfolder.html)
```@docs
createfolder
```

**API documentation source**: [https://docs.pcloud.com/methods/folder/createfolderifnotexists.html](https://docs.pcloud.com/methods/folder/createfolderifnotexists.html)
```@docs
createfolderifnotexists
```

**API documentation source**: [https://docs.pcloud.com/methods/folder/listfolder.html](https://docs.pcloud.com/methods/folder/listfolder.html)
```@docs
listfolder
```

**API documentation source**: [https://docs.pcloud.com/methods/folder/renamefolder.html](https://docs.pcloud.com/methods/folder/renamefolder.html)
```@docs
renamefolder
```

**API documentation source**: [https://docs.pcloud.com/methods/folder/deletefolder.html](https://docs.pcloud.com/methods/folder/deletefolder.html)
```@docs
deletefolder
```

**API documentation source**: [https://docs.pcloud.com/methods/folder/deletefolderrecursive.html](https://docs.pcloud.com/methods/folder/deletefolderrecursive.html)
```@docs
deletefolderrecursive
```

**API documentation source**: [https://docs.pcloud.com/methods/folder/copyfolder.html](https://docs.pcloud.com/methods/folder/copyfolder.html)
```@docs
copyfolder
```
## File

* [`PCloud.uploadfile`](@ref)
* [`PCloud.uploadprogress`](@ref)
* [`PCloud.downloadfile`](@ref)
* [`PCloud.downloadfileasync`](@ref)
* [`PCloud.copyfile`](@ref)
* [`PCloud.checksumfile`](@ref)
* [`PCloud.deletefile`](@ref)
* [`PCloud.renamefile`](@ref)
* [`PCloud.pcloud_stat`](@ref)

**API documentation source**: [https://docs.pcloud.com/methods/file/uploadfile.html](https://docs.pcloud.com/methods/file/uploadfile.html)
```@docs
uploadfile
```

**API documentation source**: [https://docs.pcloud.com/methods/file/uploadprogress.html](https://docs.pcloud.com/methods/file/uploadprogress.html)
```@docs
uploadprogress
```

**API documentation source**: [https://docs.pcloud.com/methods/file/downloadfile.html](https://docs.pcloud.com/methods/file/downloadfile.html)
```@docs
downloadfile
```

**API documentation source**: [https://docs.pcloud.com/methods/file/downloadfileasync.html](https://docs.pcloud.com/methods/file/downloadfileasync.html)
```@docs
downloadfileasync
```

**API documentation source**: [https://docs.pcloud.com/methods/file/copyfile.html](https://docs.pcloud.com/methods/file/copyfile.html)
```@docs
copyfile
```

**API documentation source**: [https://docs.pcloud.com/methods/file/checksumfile.html](https://docs.pcloud.com/methods/file/checksumfile.html)
```@docs
checksumfile
```

**API documentation source**: [https://docs.pcloud.com/methods/file/deletefile.html](https://docs.pcloud.com/methods/file/deletefile.html)
```@docs
deletefile
```

**API documentation source**: [https://docs.pcloud.com/methods/file/renamefile.html](https://docs.pcloud.com/methods/file/renamefile.html)
```@docs
renamefile
```

**API documentation source**: [https://docs.pcloud.com/methods/file/stat.html](https://docs.pcloud.com/methods/file/stat.html)
```@docs
pcloud_stat
```
## Auth

* [`PCloud.sendverificationemail`](@ref)
* [`PCloud.verifyemail`](@ref)
* [`PCloud.changepassword`](@ref)
* [`PCloud.lostpassword`](@ref)
* [`PCloud.resetpassword`](@ref)
* [`PCloud.register`](@ref)
* [`PCloud.invite`](@ref)
* [`PCloud.userinvites`](@ref)
* [`PCloud.logout`](@ref)
* [`PCloud.listtokens`](@ref)
* [`PCloud.deletetoken`](@ref)
* [`PCloud.sendchangemail`](@ref)
* [`PCloud.changemail`](@ref)
* [`PCloud.senddeactivatemail`](@ref)
* [`PCloud.deactivateuser`](@ref)

**API documentation source**: [https://docs.pcloud.com/methods/auth/sendverificationemail.html](https://docs.pcloud.com/methods/auth/sendverificationemail.html)
```@docs
sendverificationemail
```

**API documentation source**: [https://docs.pcloud.com/methods/auth/verifyemail.html](https://docs.pcloud.com/methods/auth/verifyemail.html)
```@docs
verifyemail
```

**API documentation source**: [https://docs.pcloud.com/methods/auth/changepassword.html](https://docs.pcloud.com/methods/auth/changepassword.html)
```@docs
changepassword
```

**API documentation source**: [https://docs.pcloud.com/methods/auth/lostpassword.html](https://docs.pcloud.com/methods/auth/lostpassword.html)
```@docs
lostpassword
```

**API documentation source**: [https://docs.pcloud.com/methods/auth/resetpassword.html](https://docs.pcloud.com/methods/auth/resetpassword.html)
```@docs
resetpassword
```

**API documentation source**: [https://docs.pcloud.com/methods/auth/register.html](https://docs.pcloud.com/methods/auth/register.html)
```@docs
register
```

**API documentation source**: [https://docs.pcloud.com/methods/auth/invite.html](https://docs.pcloud.com/methods/auth/invite.html)
```@docs
invite
```

**API documentation source**: [https://docs.pcloud.com/methods/auth/userinvites.html](https://docs.pcloud.com/methods/auth/userinvites.html)
```@docs
userinvites
```

**API documentation source**: [https://docs.pcloud.com/methods/auth/logout.html](https://docs.pcloud.com/methods/auth/logout.html)
```@docs
logout
```

**API documentation source**: [https://docs.pcloud.com/methods/auth/listtokens.html](https://docs.pcloud.com/methods/auth/listtokens.html)
```@docs
listtokens
```

**API documentation source**: [https://docs.pcloud.com/methods/auth/deletetoken.html](https://docs.pcloud.com/methods/auth/deletetoken.html)
```@docs
deletetoken
```

**API documentation source**: [https://docs.pcloud.com/methods/auth/sendchangemail.html](https://docs.pcloud.com/methods/auth/sendchangemail.html)
```@docs
sendchangemail
```

**API documentation source**: [https://docs.pcloud.com/methods/auth/changemail.html](https://docs.pcloud.com/methods/auth/changemail.html)
```@docs
changemail
```

**API documentation source**: [https://docs.pcloud.com/methods/auth/senddeactivatemail.html](https://docs.pcloud.com/methods/auth/senddeactivatemail.html)
```@docs
senddeactivatemail
```

**API documentation source**: [https://docs.pcloud.com/methods/auth/deactivateuser.html](https://docs.pcloud.com/methods/auth/deactivateuser.html)
```@docs
deactivateuser
```
## Streaming

* [`PCloud.getfilelink`](@ref)
* [`PCloud.getvideolink`](@ref)
* [`PCloud.getvideolinks`](@ref)
* [`PCloud.getaudiolink`](@ref)
* [`PCloud.gethlslink`](@ref)
* [`PCloud.gettextfile`](@ref)

**API documentation source**: [https://docs.pcloud.com/methods/streaming/getfilelink.html](https://docs.pcloud.com/methods/streaming/getfilelink.html)
```@docs
getfilelink
```

**API documentation source**: [https://docs.pcloud.com/methods/streaming/getvideolink.html](https://docs.pcloud.com/methods/streaming/getvideolink.html)
```@docs
getvideolink
```

**API documentation source**: [https://docs.pcloud.com/methods/streaming/getvideolinks.html](https://docs.pcloud.com/methods/streaming/getvideolinks.html)
```@docs
getvideolinks
```

**API documentation source**: [https://docs.pcloud.com/methods/streaming/getaudiolink.html](https://docs.pcloud.com/methods/streaming/getaudiolink.html)
```@docs
getaudiolink
```

**API documentation source**: [https://docs.pcloud.com/methods/streaming/gethlslink.html](https://docs.pcloud.com/methods/streaming/gethlslink.html)
```@docs
gethlslink
```

**API documentation source**: [https://docs.pcloud.com/methods/streaming/gettextfile.html](https://docs.pcloud.com/methods/streaming/gettextfile.html)
```@docs
gettextfile
```
## Archiving

* [`PCloud.getzip`](@ref)
* [`PCloud.getziplink`](@ref)
* [`PCloud.savezip`](@ref)
* [`PCloud.extractarchive`](@ref)
* [`PCloud.extractarchiveprogress`](@ref)
* [`PCloud.savezipprogress`](@ref)

**API documentation source**: [https://docs.pcloud.com/methods/archiving/getzip.html](https://docs.pcloud.com/methods/archiving/getzip.html)
```@docs
getzip
```

**API documentation source**: [https://docs.pcloud.com/methods/archiving/getziplink.html](https://docs.pcloud.com/methods/archiving/getziplink.html)
```@docs
getziplink
```

**API documentation source**: [https://docs.pcloud.com/methods/archiving/savezip.html](https://docs.pcloud.com/methods/archiving/savezip.html)
```@docs
savezip
```

**API documentation source**: [https://docs.pcloud.com/methods/archiving/extractarchive.html](https://docs.pcloud.com/methods/archiving/extractarchive.html)
```@docs
extractarchive
```

**API documentation source**: [https://docs.pcloud.com/methods/archiving/extractarchiveprogress.html](https://docs.pcloud.com/methods/archiving/extractarchiveprogress.html)
```@docs
extractarchiveprogress
```

**API documentation source**: [https://docs.pcloud.com/methods/archiving/savezipprogress.html](https://docs.pcloud.com/methods/archiving/savezipprogress.html)
```@docs
savezipprogress
```
## Sharing

* [`PCloud.sharefolder`](@ref)
* [`PCloud.listshares`](@ref)
* [`PCloud.sharerequestinfo`](@ref)
* [`PCloud.cancelsharerequest`](@ref)
* [`PCloud.acceptshare`](@ref)
* [`PCloud.declineshare`](@ref)
* [`PCloud.removeshare`](@ref)
* [`PCloud.changeshare`](@ref)

**API documentation source**: [https://docs.pcloud.com/methods/sharing/sharefolder.html](https://docs.pcloud.com/methods/sharing/sharefolder.html)
```@docs
sharefolder
```

**API documentation source**: [https://docs.pcloud.com/methods/sharing/listshares.html](https://docs.pcloud.com/methods/sharing/listshares.html)
```@docs
listshares
```

**API documentation source**: [https://docs.pcloud.com/methods/sharing/sharerequestinfo.html](https://docs.pcloud.com/methods/sharing/sharerequestinfo.html)
```@docs
sharerequestinfo
```

**API documentation source**: [https://docs.pcloud.com/methods/sharing/cancelsharerequest.html](https://docs.pcloud.com/methods/sharing/cancelsharerequest.html)
```@docs
cancelsharerequest
```

**API documentation source**: [https://docs.pcloud.com/methods/sharing/acceptshare.html](https://docs.pcloud.com/methods/sharing/acceptshare.html)
```@docs
acceptshare
```

**API documentation source**: [https://docs.pcloud.com/methods/sharing/declineshare.html](https://docs.pcloud.com/methods/sharing/declineshare.html)
```@docs
declineshare
```

**API documentation source**: [https://docs.pcloud.com/methods/sharing/removeshare.html](https://docs.pcloud.com/methods/sharing/removeshare.html)
```@docs
removeshare
```

**API documentation source**: [https://docs.pcloud.com/methods/sharing/changeshare.html](https://docs.pcloud.com/methods/sharing/changeshare.html)
```@docs
changeshare
```
## Public Links

* [`PCloud.getfilepublink`](@ref)
* [`PCloud.getfolderpublink`](@ref)
* [`PCloud.gettreepublink`](@ref)
* [`PCloud.showpublink`](@ref)
* [`PCloud.getpublinkdownload`](@ref)
* [`PCloud.copypubfile`](@ref)
* [`PCloud.listpublinks`](@ref)
* [`PCloud.listplshort`](@ref)
* [`PCloud.deletepublink`](@ref)
* [`PCloud.changepublink`](@ref)
* [`PCloud.getpubthumb`](@ref)
* [`PCloud.getpubthumblink`](@ref)
* [`PCloud.getpubthumbslinks`](@ref)
* [`PCloud.savepubthumb`](@ref)
* [`PCloud.getpubzip`](@ref)
* [`PCloud.getpubziplink`](@ref)
* [`PCloud.savepubzip`](@ref)
* [`PCloud.getpubvideolinks`](@ref)
* [`PCloud.getpubaudiolink`](@ref)
* [`PCloud.getpubtextfile`](@ref)
* [`PCloud.getcollectionpublink`](@ref)

**API documentation source**: [https://docs.pcloud.com/methods/public_links/getfilepublink.html](https://docs.pcloud.com/methods/public_links/getfilepublink.html)
```@docs
getfilepublink
```

**API documentation source**: [https://docs.pcloud.com/methods/public_links/getfolderpublink.html](https://docs.pcloud.com/methods/public_links/getfolderpublink.html)
```@docs
getfolderpublink
```

**API documentation source**: [https://docs.pcloud.com/methods/public_links/gettreepublink.html](https://docs.pcloud.com/methods/public_links/gettreepublink.html)
```@docs
gettreepublink
```

**API documentation source**: [https://docs.pcloud.com/methods/public_links/showpublink.html](https://docs.pcloud.com/methods/public_links/showpublink.html)
```@docs
showpublink
```

**API documentation source**: [https://docs.pcloud.com/methods/public_links/getpublinkdownload.html](https://docs.pcloud.com/methods/public_links/getpublinkdownload.html)
```@docs
getpublinkdownload
```

**API documentation source**: [https://docs.pcloud.com/methods/public_links/copypubfile.html](https://docs.pcloud.com/methods/public_links/copypubfile.html)
```@docs
copypubfile
```

**API documentation source**: [https://docs.pcloud.com/methods/public_links/listpublinks.html](https://docs.pcloud.com/methods/public_links/listpublinks.html)
```@docs
listpublinks
```

**API documentation source**: [https://docs.pcloud.com/methods/public_links/listplshort.html](https://docs.pcloud.com/methods/public_links/listplshort.html)
```@docs
listplshort
```

**API documentation source**: [https://docs.pcloud.com/methods/public_links/deletepublink.html](https://docs.pcloud.com/methods/public_links/deletepublink.html)
```@docs
deletepublink
```

**API documentation source**: [https://docs.pcloud.com/methods/public_links/changepublink.html](https://docs.pcloud.com/methods/public_links/changepublink.html)
```@docs
changepublink
```

**API documentation source**: [https://docs.pcloud.com/methods/public_links/getpubthumb.html](https://docs.pcloud.com/methods/public_links/getpubthumb.html)
```@docs
getpubthumb
```

**API documentation source**: [https://docs.pcloud.com/methods/public_links/getpubthumblink.html](https://docs.pcloud.com/methods/public_links/getpubthumblink.html)
```@docs
getpubthumblink
```

**API documentation source**: [https://docs.pcloud.com/methods/public_links/getpubthumbslinks.html](https://docs.pcloud.com/methods/public_links/getpubthumbslinks.html)
```@docs
getpubthumbslinks
```

**API documentation source**: [https://docs.pcloud.com/methods/public_links/savepubthumb.html](https://docs.pcloud.com/methods/public_links/savepubthumb.html)
```@docs
savepubthumb
```

**API documentation source**: [https://docs.pcloud.com/methods/public_links/getpubzip.html](https://docs.pcloud.com/methods/public_links/getpubzip.html)
```@docs
getpubzip
```

**API documentation source**: [https://docs.pcloud.com/methods/public_links/getpubziplink.html](https://docs.pcloud.com/methods/public_links/getpubziplink.html)
```@docs
getpubziplink
```

**API documentation source**: [https://docs.pcloud.com/methods/public_links/savepubzip.html](https://docs.pcloud.com/methods/public_links/savepubzip.html)
```@docs
savepubzip
```

**API documentation source**: [https://docs.pcloud.com/methods/public_links/getpubvideolinks.html](https://docs.pcloud.com/methods/public_links/getpubvideolinks.html)
```@docs
getpubvideolinks
```

**API documentation source**: [https://docs.pcloud.com/methods/public_links/getpubaudiolink.html](https://docs.pcloud.com/methods/public_links/getpubaudiolink.html)
```@docs
getpubaudiolink
```

**API documentation source**: [https://docs.pcloud.com/methods/public_links/getpubtextfile.html](https://docs.pcloud.com/methods/public_links/getpubtextfile.html)
```@docs
getpubtextfile
```

**API documentation source**: [https://docs.pcloud.com/methods/public_links/getcollectionpublink.html](https://docs.pcloud.com/methods/public_links/getcollectionpublink.html)
```@docs
getcollectionpublink
```
## Thumbnails

* [`PCloud.getthumblink`](@ref)
* [`PCloud.getthumbslinks`](@ref)
* [`PCloud.getthumb`](@ref)
* [`PCloud.savethumb`](@ref)

**API documentation source**: [https://docs.pcloud.com/methods/thumbnails/getthumblink.html](https://docs.pcloud.com/methods/thumbnails/getthumblink.html)
```@docs
getthumblink
```

**API documentation source**: [https://docs.pcloud.com/methods/thumbnails/getthumbslinks.html](https://docs.pcloud.com/methods/thumbnails/getthumbslinks.html)
```@docs
getthumbslinks
```

**API documentation source**: [https://docs.pcloud.com/methods/thumbnails/getthumb.html](https://docs.pcloud.com/methods/thumbnails/getthumb.html)
```@docs
getthumb
```

**API documentation source**: [https://docs.pcloud.com/methods/thumbnails/savethumb.html](https://docs.pcloud.com/methods/thumbnails/savethumb.html)
```@docs
savethumb
```
## Upload Links

* [`PCloud.createuploadlink`](@ref)
* [`PCloud.listuploadlinks`](@ref)
* [`PCloud.deleteuploadlink`](@ref)
* [`PCloud.changeuploadlink`](@ref)
* [`PCloud.showuploadlink`](@ref)
* [`PCloud.uploadtolink`](@ref)
* [`PCloud.uploadlinkprogress`](@ref)
* [`PCloud.copytolink`](@ref)

**API documentation source**: [https://docs.pcloud.com/methods/upload_links/createuploadlink.html](https://docs.pcloud.com/methods/upload_links/createuploadlink.html)
```@docs
createuploadlink
```

**API documentation source**: [https://docs.pcloud.com/methods/upload_links/listuploadlinks.html](https://docs.pcloud.com/methods/upload_links/listuploadlinks.html)
```@docs
listuploadlinks
```

**API documentation source**: [https://docs.pcloud.com/methods/upload_links/deleteuploadlink.html](https://docs.pcloud.com/methods/upload_links/deleteuploadlink.html)
```@docs
deleteuploadlink
```

**API documentation source**: [https://docs.pcloud.com/methods/upload_links/changeuploadlink.html](https://docs.pcloud.com/methods/upload_links/changeuploadlink.html)
```@docs
changeuploadlink
```

**API documentation source**: [https://docs.pcloud.com/methods/upload_links/showuploadlink.html](https://docs.pcloud.com/methods/upload_links/showuploadlink.html)
```@docs
showuploadlink
```

**API documentation source**: [https://docs.pcloud.com/methods/upload_links/uploadtolink.html](https://docs.pcloud.com/methods/upload_links/uploadtolink.html)
```@docs
uploadtolink
```

**API documentation source**: [https://docs.pcloud.com/methods/upload_links/uploadlinkprogress.html](https://docs.pcloud.com/methods/upload_links/uploadlinkprogress.html)
```@docs
uploadlinkprogress
```

**API documentation source**: [https://docs.pcloud.com/methods/upload_links/copytolink.html](https://docs.pcloud.com/methods/upload_links/copytolink.html)
```@docs
copytolink
```
## Revisions

* [`PCloud.listrevisions`](@ref)
* [`PCloud.revertrevision`](@ref)

**API documentation source**: [https://docs.pcloud.com/methods/revisions/listrevisions.html](https://docs.pcloud.com/methods/revisions/listrevisions.html)
```@docs
listrevisions
```

**API documentation source**: [https://docs.pcloud.com/methods/revisions/revertrevision.html](https://docs.pcloud.com/methods/revisions/revertrevision.html)
```@docs
revertrevision
```
## Fileops

* [`PCloud.file_open`](@ref)
* [`PCloud.file_write`](@ref)
* [`PCloud.file_pwrite`](@ref)
* [`PCloud.file_read`](@ref)
* [`PCloud.file_pread`](@ref)
* [`PCloud.file_pread_ifmod`](@ref)
* [`PCloud.file_checksum`](@ref)
* [`PCloud.file_size`](@ref)
* [`PCloud.file_truncate`](@ref)
* [`PCloud.file_seek`](@ref)
* [`PCloud.file_close`](@ref)
* [`PCloud.file_lock`](@ref)

**API documentation source**: [https://docs.pcloud.com/methods/fileops/file_open.html](https://docs.pcloud.com/methods/fileops/file_open.html)
```@docs
file_open
```

**API documentation source**: [https://docs.pcloud.com/methods/fileops/file_write.html](https://docs.pcloud.com/methods/fileops/file_write.html)
```@docs
file_write
```

**API documentation source**: [https://docs.pcloud.com/methods/fileops/file_pwrite.html](https://docs.pcloud.com/methods/fileops/file_pwrite.html)
```@docs
file_pwrite
```

**API documentation source**: [https://docs.pcloud.com/methods/fileops/file_read.html](https://docs.pcloud.com/methods/fileops/file_read.html)
```@docs
file_read
```

**API documentation source**: [https://docs.pcloud.com/methods/fileops/file_pread.html](https://docs.pcloud.com/methods/fileops/file_pread.html)
```@docs
file_pread
```

**API documentation source**: [https://docs.pcloud.com/methods/fileops/file_pread_ifmod.html](https://docs.pcloud.com/methods/fileops/file_pread_ifmod.html)
```@docs
file_pread_ifmod
```

**API documentation source**: [https://docs.pcloud.com/methods/fileops/file_checksum.html](https://docs.pcloud.com/methods/fileops/file_checksum.html)
```@docs
file_checksum
```

**API documentation source**: [https://docs.pcloud.com/methods/fileops/file_size.html](https://docs.pcloud.com/methods/fileops/file_size.html)
```@docs
file_size
```

**API documentation source**: [https://docs.pcloud.com/methods/fileops/file_truncate.html](https://docs.pcloud.com/methods/fileops/file_truncate.html)
```@docs
file_truncate
```

**API documentation source**: [https://docs.pcloud.com/methods/fileops/file_seek.html](https://docs.pcloud.com/methods/fileops/file_seek.html)
```@docs
file_seek
```

**API documentation source**: [https://docs.pcloud.com/methods/fileops/file_close.html](https://docs.pcloud.com/methods/fileops/file_close.html)
```@docs
file_close
```

**API documentation source**: [https://docs.pcloud.com/methods/fileops/file_lock.html](https://docs.pcloud.com/methods/fileops/file_lock.html)
```@docs
file_lock
```
## Newsletter

* [`PCloud.newsletter_subscribe`](@ref)
* [`PCloud.newsletter_check`](@ref)
* [`PCloud.newsletter_verifyemail`](@ref)
* [`PCloud.newsletter_unsubscribe`](@ref)
* [`PCloud.newsletter_unsubscribemail`](@ref)

**API documentation source**: [https://docs.pcloud.com/methods/newsletter/newsletter_subscribe.html](https://docs.pcloud.com/methods/newsletter/newsletter_subscribe.html)
```@docs
newsletter_subscribe
```

**API documentation source**: [https://docs.pcloud.com/methods/newsletter/newsletter_check.html](https://docs.pcloud.com/methods/newsletter/newsletter_check.html)
```@docs
newsletter_check
```

**API documentation source**: [https://docs.pcloud.com/methods/newsletter/newsletter_verifyemail.html](https://docs.pcloud.com/methods/newsletter/newsletter_verifyemail.html)
```@docs
newsletter_verifyemail
```

**API documentation source**: [https://docs.pcloud.com/methods/newsletter/newsletter_unsubscribe.html](https://docs.pcloud.com/methods/newsletter/newsletter_unsubscribe.html)
```@docs
newsletter_unsubscribe
```

**API documentation source**: [https://docs.pcloud.com/methods/newsletter/newsletter_unsibscribemail.html](https://docs.pcloud.com/methods/newsletter/newsletter_unsibscribemail.html)
```@docs
newsletter_unsubscribemail
```
## Trash

* [`PCloud.trash_list`](@ref)
* [`PCloud.trash_restorepath`](@ref)
* [`PCloud.trash_restore`](@ref)
* [`PCloud.trash_clear`](@ref)

**API documentation source**: [https://docs.pcloud.com/methods/trash/trash_list.html](https://docs.pcloud.com/methods/trash/trash_list.html)
```@docs
trash_list
```

**API documentation source**: [https://docs.pcloud.com/methods/trash/trash_restorepath.html](https://docs.pcloud.com/methods/trash/trash_restorepath.html)
```@docs
trash_restorepath
```

**API documentation source**: [https://docs.pcloud.com/methods/trash/trash_restore.html](https://docs.pcloud.com/methods/trash/trash_restore.html)
```@docs
trash_restore
```

**API documentation source**: [https://docs.pcloud.com/methods/trash/trash_clear.html](https://docs.pcloud.com/methods/trash/trash_clear.html)
```@docs
trash_clear
```
## Collection

* [`PCloud.collection_list`](@ref)
* [`PCloud.collection_details`](@ref)
* [`PCloud.collection_create`](@ref)
* [`PCloud.collection_rename`](@ref)
* [`PCloud.collection_delete`](@ref)
* [`PCloud.collection_linkfiles`](@ref)
* [`PCloud.collection_unlinkfiles`](@ref)
* [`PCloud.collection_move`](@ref)

**API documentation source**: [https://docs.pcloud.com/methods/collection/collection_list.html](https://docs.pcloud.com/methods/collection/collection_list.html)
```@docs
collection_list
```

**API documentation source**: [https://docs.pcloud.com/methods/collection/collection_details.html](https://docs.pcloud.com/methods/collection/collection_details.html)
```@docs
collection_details
```

**API documentation source**: [https://docs.pcloud.com/methods/collection/collection_create.html](https://docs.pcloud.com/methods/collection/collection_create.html)
```@docs
collection_create
```

**API documentation source**: [https://docs.pcloud.com/methods/collection/collection_rename.html](https://docs.pcloud.com/methods/collection/collection_rename.html)
```@docs
collection_rename
```

**API documentation source**: [https://docs.pcloud.com/methods/collection/collection_delete.html](https://docs.pcloud.com/methods/collection/collection_delete.html)
```@docs
collection_delete
```

**API documentation source**: [https://docs.pcloud.com/methods/collection/collection_linkfiles.html](https://docs.pcloud.com/methods/collection/collection_linkfiles.html)
```@docs
collection_linkfiles
```

**API documentation source**: [https://docs.pcloud.com/methods/collection/collection_unlinkfiles.html](https://docs.pcloud.com/methods/collection/collection_unlinkfiles.html)
```@docs
collection_unlinkfiles
```

**API documentation source**: [https://docs.pcloud.com/methods/collection/collection_move.html](https://docs.pcloud.com/methods/collection/collection_move.html)
```@docs
collection_move
```
## OAuth 2.0

* [`PCloud.authorize`](@ref)
* [`PCloud.oauth2_token`](@ref)

**API documentation source**: [https://docs.pcloud.com/methods/oauth_2.0/authorize.html](https://docs.pcloud.com/methods/oauth_2.0/authorize.html)
```@docs
authorize
```

**API documentation source**: [https://docs.pcloud.com/methods/oauth_2.0/oauth2_token.html](https://docs.pcloud.com/methods/oauth_2.0/oauth2_token.html)
```@docs
oauth2_token
```
## Transfer

* [`PCloud.uploadtransfer`](@ref)
* [`PCloud.uploadtransferprogress`](@ref)

**API documentation source**: [https://docs.pcloud.com/methods/transfer/uploadtransfer.html](https://docs.pcloud.com/methods/transfer/uploadtransfer.html)
```@docs
uploadtransfer
```

**API documentation source**: [https://docs.pcloud.com/methods/transfer/uploadtransferprogress.html](https://docs.pcloud.com/methods/transfer/uploadtransferprogress.html)
```@docs
uploadtransferprogress
```
